#
# spec file for package python-azure-mgmt
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-azure-mgmt
Version:        1.0.0
Release:        lp150.1.3
Summary:        Microsoft Azure Resource Management bundle
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/Azure/azure-sdk-for-python
Source:         https://files.pythonhosted.org/packages/source/a/azure-mgmt/azure-mgmt-%{version}.zip
Source1:        LICENSE.txt
Patch1:         am_drop-compatible-releases-operator.patch
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
BuildRequires:  unzip
Requires:       python-azure-mgmt-authorization < 1.0.0
Requires:       python-azure-mgmt-authorization >= 0.30.0
Requires:       python-azure-mgmt-batch < 5.0.0
Requires:       python-azure-mgmt-batch >= 4.0.0
Requires:       python-azure-mgmt-cdn < 2.0.0
Requires:       python-azure-mgmt-cdn >= 1.0.0
Requires:       python-azure-mgmt-cognitiveservices < 2.0.0
Requires:       python-azure-mgmt-cognitiveservices >= 1.0.0
Requires:       python-azure-mgmt-commerce < 2.0.0
Requires:       python-azure-mgmt-commerce >= 1.0.0
Requires:       python-azure-mgmt-compute < 4.0.0
Requires:       python-azure-mgmt-compute >= 3.0.0
Requires:       python-azure-mgmt-containerregistry < 2.0.0
Requires:       python-azure-mgmt-containerregistry >= 1.0.0
Requires:       python-azure-mgmt-cosmosdb < 1.0.0
Requires:       python-azure-mgmt-cosmosdb >= 0.2.0
Requires:       python-azure-mgmt-datalake-analytics < 1.0.0
Requires:       python-azure-mgmt-datalake-analytics >= 0.1.6
Requires:       python-azure-mgmt-datalake-store < 1.0.0
Requires:       python-azure-mgmt-datalake-store >= 0.1.6
Requires:       python-azure-mgmt-devtestlabs < 3.0.0
Requires:       python-azure-mgmt-devtestlabs >= 2.0.0
Requires:       python-azure-mgmt-dns < 2.0.0
Requires:       python-azure-mgmt-dns >= 1.0.1
Requires:       python-azure-mgmt-documentdb < 1.0.0
Requires:       python-azure-mgmt-documentdb >= 0.1.3
Requires:       python-azure-mgmt-eventgrid < 1.0.0
Requires:       python-azure-mgmt-eventgrid >= 0.2.0
Requires:       python-azure-mgmt-eventhub < 2.0.0
Requires:       python-azure-mgmt-eventhub >= 1.0.0
Requires:       python-azure-mgmt-iothub < 1.0.0
Requires:       python-azure-mgmt-iothub >= 0.2.2
Requires:       python-azure-mgmt-keyvault < 1.0.0
Requires:       python-azure-mgmt-keyvault >= 0.31.0
Requires:       python-azure-mgmt-logic < 3.0.0
Requires:       python-azure-mgmt-logic >= 2.1.0
Requires:       python-azure-mgmt-media < 1.0.0
Requires:       python-azure-mgmt-media >= 0.1.1
Requires:       python-azure-mgmt-monitor < 1.0.0
Requires:       python-azure-mgmt-monitor >= 0.2.1
Requires:       python-azure-mgmt-network < 2.0.0
Requires:       python-azure-mgmt-network >= 1.0.0
Requires:       python-azure-mgmt-notificationhubs < 2.0.0
Requires:       python-azure-mgmt-notificationhubs >= 1.0.0
Requires:       python-azure-mgmt-powerbiembedded < 2.0.0
Requires:       python-azure-mgmt-powerbiembedded >= 1.0.0
Requires:       python-azure-mgmt-rdbms < 1.0.0
Requires:       python-azure-mgmt-rdbms >= 0.1.0
Requires:       python-azure-mgmt-recoveryservices < 1.0.0
Requires:       python-azure-mgmt-recoveryservices >= 0.1.0
Requires:       python-azure-mgmt-recoveryservicesbackup < 1.0.0
Requires:       python-azure-mgmt-recoveryservicesbackup >= 0.1.0
Requires:       python-azure-mgmt-redis < 5.0.0
Requires:       python-azure-mgmt-redis >= 4.1.0
Requires:       python-azure-mgmt-resource < 2.0.0
Requires:       python-azure-mgmt-resource >= 1.1.0
Requires:       python-azure-mgmt-scheduler < 2.0.0
Requires:       python-azure-mgmt-scheduler >= 1.1.2
Requires:       python-azure-mgmt-search < 2.0.0
Requires:       python-azure-mgmt-search >= 1.0.0
Requires:       python-azure-mgmt-servermanager < 2.0.0
Requires:       python-azure-mgmt-servermanager >= 1.2.0
Requires:       python-azure-mgmt-servicebus < 1.0.0
Requires:       python-azure-mgmt-servicebus >= 0.2.0
Requires:       python-azure-mgmt-sql < 1.0.0
Requires:       python-azure-mgmt-sql >= 0.5.1
Requires:       python-azure-mgmt-storage < 2.0.0
Requires:       python-azure-mgmt-storage >= 1.0.0
Requires:       python-azure-mgmt-trafficmanager < 1.0.0
Requires:       python-azure-mgmt-trafficmanager >= 0.30.0
Requires:       python-azure-mgmt-web < 1.0.0
Requires:       python-azure-mgmt-web >= 0.32.0
Conflicts:      python-azure-sdk <= 2.0.0

BuildArch:      noarch

%python_subpackages

%description
This is the Microsoft Azure Resource Management bundle.

Azure Resource Manager (ARM) is the next generation of management APIs that
replace the old Azure Service Management (ASM).

This package does not contain any code in itself. It installs a set
of packages that provide management APIs for the various Azure services.

All packages in this bundle have been tested with Python 2.7, 3.3, 3.4, 3.5 and 3.6.

%prep
%setup -q -n azure-mgmt-%{version}
%patch1 -p1

%build
install -m 644 %{SOURCE1} %{_builddir}/azure-mgmt-%{version}
%python_build

%install
%python_install

%files %{python_files}
%defattr(-,root,root,-)
%doc LICENSE.txt README.rst
%{python_sitelib}/azure_mgmt-*.egg-info

%changelog
* Thu Oct  5 2017 adrian.glaubitz@suse.com
- Add additional packages from the Azure SDK to Requires
  + python-azure-mgmt-eventgrid
  + python-azure-mgmt-recoveryservices
- Explicitly specify Python files of the package in %%files
- Remove bogus tests directory from %%files
- Bump python-azure-mgmt-compute Requires to >= 3.0.0
- Bump python-azure-mgmt-containerregistry Requires to >= 1.0.0
* Tue Jul 11 2017 adrian.glaubitz@suse.com
- Update version numbers in Requires
  + Bump minimum version for python-azure-mgmt-cdn to 1.0.0
  + Bump minimum version for python-azure-mgmt-compute to 2.0.0
- Add additional packages from the Azure SDK to Requires
  + python-azure-mgmt-commerce
  + python-azure-mgmt-cosmosdb
  + python-azure-mgmt-eventhub
  + python-azure-mgmt-media
  + python-azure-mgmt-notificationhubs
  + python-azure-mgmt-powerbiembedded
  + python-azure-mgmt-recoveryservicesbackup
  + python-azure-mgmt-search
  + python-azure-mgmt-servermanager
  + python-azure-mgmt-servicebus
* Tue Jun 27 2017 adrian.glaubitz@suse.com
- Initial build
  + Version 1.0.0
- Add patch to drop compatible releases operator from setup.py,
  required for SLES12 as the setuptools version is too old
  + am_drop-compatible-releases-operator.patch
